<ui:composition xmlns:rich="http://richfaces.org/rich" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:a4j="http://richfaces.org/a4j" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:g="http://www.ihe.net/gazelle"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:h="http://java.sun.com/jsf/html"
                xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
    <ui:define name="body">
        <s:decorate template="/pds/pampdsTemplate.xhtml">
            <ui:param name="pageTitle"
                      value="#{messages['gazelle.simulator.pam.PampdsChangePatientIdentifierListadt^a47^adta30']}"/>
            <ui:param name="panelTitle"
                      value="#{messages['gazelle.simulator.pam.ChangePatientIdentifiers']}"/>
            <ui:param name="diagramSrc" value="diag/#{removeInsIdsManager.sendingActor.keyword}_A47.png"/>
            <ui:param name="pdsBean" value="#{removeInsIdsManager}"/>
            <ui:define name="helpText">
                <h:outputText
                        value="#{messages['gazelle.pam.YouCanEitherSelectAnExistingPatientOrEitherGener']}"
                        styleClass="help-block"/>
            </ui:define>
            <ui:define name="ddsButtons">
                <a4j:commandButton id="generateButton" value="#{messages['gazelle.simulator.pam.GeneratePatient']}"
                                   actionListener="#{removeInsIdsManager.generateAPatient()}"
                                   styleClass="gzl-btn-blue"
                                   render="messageConfigurationPanel"/>
            </ui:define>
            <ui:define name="patientIdentifiersAction">
                <a4j:commandLink
                        actionListener="#{removeInsIdsManager.actionOnSelectedPatient(patient)}"
                        render="globalForm"
                        title="#{messages['gazelle.simulator.pam.ihe_fr.SendRemoveINS']}" execute="@this">
                    <s:span styleClass="gzl-icon-trash-o " />
                </a4j:commandLink>
            </ui:define>
            <ui:define name="actionOnPatientColumn">
                <g:column id="actionColumn">
                    <f:facet name="header">#{messages['gazelle.simulator.pam.Action']}</f:facet>
                    <div class="gzl-never-wrap">
                        <h:outputLink
                                value="#{patient.getPermanentLink()}"
                                target="_blank"
                                title="#{messages['gazelle.pam.ViewDetails']}">
                            <s:span styleClass="gzl-icon-search "/>
                        </h:outputLink>
                    </div>
                </g:column>
            </ui:define>
        </s:decorate>
    </ui:define>
</ui:composition>
